/*
 * Copyright (c) 2003-2004 K. John '2B|!2B' Crispin
 * Copyright (c) 2005      Stephan Dobretsberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 *
 * Feedback, Bugs, ... mail stephan.dobretsberger@gmx.at
 *
 */

// this is the main config file for the project
// to set mcu uncomment the wanted line in makefile
// if you use a mcu not listed you also need to make changes to the spi.c
// as mcu macros are used there

// defines for the buttons
// defines for the user buttons
#define BUTTON_PORT       PORTD
#define BUTTON_DDR        DDRD
#define BUTTON_PIN        PIND

#define BTN_VOL_UP        PD7
#define BTN_VOL_DOWN      PD6
#define BTN_SONG_UP       PD5
#define BTN_PLAY          PD4
#define BTN_SONG_DOWN     PD3


// defines for leds
#define LED_PORT          PORTC
#define LED_DDR           DDRC
#define LED_PLAY_PIN      PC5

// defines for the MMC hardware
#define MMC_CS_DDR        DDRB
#define MMC_CS_PIN        PINB
#define MMC_CS_PORT       PORTB
#define MMC_EN_DDR        DDRB
#define MMC_EN_PIN        PINB
#define MMC_EN_PORT       PORTB
#define PIN_MMC_CS        PB2
#define PIN_MMC_EN        PB1

// defines for vs1001 dsp
#define VS1001_PORT       PORTC
#define VS1001_DDR        DDRC
#define VS1001_PIN        PINC
#define PIN_VS1001_CS     PC3
#define PIN_VS1001_DREQ   PC1
#define PIN_VS1001_BSYNC  PC2
#define PIN_VS1001_RESET  PC0

// set to 1 if you want long filename support
// senseless with no display...
#if 0
  #define LFN_SUPPORT
  // each lfn entry in the fat is 13 bytes
  // define the max number of blocks allowed
  #define LFN_MAX_BLOCK 3
#endif


// do you want to support playlists ?
// NOT IMPLEMENTED NOW...
#if 0
  #define PLAYLIST_SUPPORT
#endif

#include "types.h"
extern u16 global_tmp;
extern u08 *global_buf_tmp;